Browse Source

init

tags/v1.0.0
Robin Thoni 6 years ago
commit
efb369ad88

+ 2
- 0
.gitignore View File

1
+*.swp
2
+/data

+ 1
- 0
README.md View File

1
+Admin:zabbix

+ 44
- 0
docker-compose.yml View File

1
+version: '2'
2
+
3
+services:
4
+    database:
5
+        build: ./postgresql
6
+        container_name: zabbix-postgresql
7
+        networks:
8
+            zabbix.internal.docker:
9
+                aliases:
10
+                    - postgresql.zabbix.internal.docker
11
+        volumes:
12
+            - ./data/postgresql/data:/var/lib/postgresql/data
13
+            - ./data/postgresql/backup:/var/lib/postgresql/backup
14
+        ports:
15
+            - "127.0.0.1:34080:5432"
16
+        env_file:
17
+            - env
18
+
19
+    zabbix:
20
+        build: ./zabbix
21
+        container_name: zabbix-zabbix
22
+        networks:
23
+            zabbix.internal.docker:
24
+                aliases:
25
+                    - zabbix.zabbix.internal.docker
26
+        ports:
27
+          - "127.0.0.1:10051:10051"
28
+        env_file:
29
+            - env
30
+
31
+    frontend:
32
+        build: ./frontend
33
+        container_name: zabbix-frontend
34
+        networks:
35
+            zabbix.internal.docker:
36
+                aliases:
37
+                    - frontend.zabbix.internal.docker
38
+        ports:
39
+            - "127.0.0.1:34081:80"
40
+        env_file:
41
+            - env
42
+
43
+networks:
44
+    zabbix.internal.docker:

+ 7
- 0
env View File

1
+POSTGRES_HOST=postgresql.zabbix.internal.docker
2
+POSTGRES_USER=zabbix
3
+POSTGRES_PASSWORD=pg_password
4
+POSTGRES_DB=zabbix
5
+
6
+ZABBIX_HOST=zabbix.zabbix.internal.docker
7
+ZABBIX_PORT=10051

+ 51
- 0
frontend/Dockerfile View File

1
+FROM debian:jessie
2
+
3
+# FROM https://github.com/ZHAJOR/Docker-Apache-2.4-Php-5.6-for-Laravel
4
+MAINTAINER Robin Thoni <robin@rthoni.com>
5
+
6
+RUN apt-get update && apt-get -y install\
7
+        wget &&\
8
+        apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*
9
+
10
+RUN wget http://repo.zabbix.com/zabbix/3.0/debian/pool/main/z/zabbix-release/zabbix-release_3.0-1+jessie_all.deb -O /tmp/zabbix.deb &&\
11
+    dpkg -i /tmp/zabbix.deb
12
+
13
+RUN apt-get update && apt-get -y install\
14
+        zabbix-frontend-php\
15
+        apache2=2.4.*\
16
+        libapache2-mod-php5\
17
+        php5\
18
+        php5-mcrypt\
19
+        php5-pgsql\
20
+        php5-mysql\
21
+        php5-gd\
22
+        php5-curl\
23
+        php5-imap &&\
24
+        apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*
25
+
26
+RUN /usr/sbin/a2enmod rewrite &&\
27
+    rm -rf /var/www/html &&\
28
+    mkdir -p /var/lock/apache2 /var/run/apache2 /var/log/apache2 /var/www/html &&\
29
+    chown -R www-data:www-data /var/lock/apache2 /var/run/apache2 /var/log/apache2 /var/www/html
30
+
31
+RUN rm -rf /var/log/* &&\
32
+    mkdir -p /var/log/apache2 &&\
33
+    ln -s /dev/stderr /var/log/apache2/error.log &&\
34
+    ln -s /dev/stdout /var/log/apache2/access.log &&\
35
+    ln -s /dev/stdout /var/log/apache2/other_vhosts_access.log
36
+
37
+COPY apache2.conf /etc/apache2/apache2.conf
38
+
39
+COPY zabbix.conf.php /etc/zabbix/web/zabbix.conf.php
40
+
41
+COPY php.ini /etc/php5/apache2/php.ini
42
+
43
+COPY ./vars-vars /etc/vars-vars
44
+
45
+COPY ./vars-files /etc/vars-files
46
+
47
+COPY ./run.sh /run.sh
48
+
49
+EXPOSE 80
50
+
51
+CMD ["/run.sh"]

+ 59
- 0
frontend/apache2.conf View File

1
+# see http://sources.debian.net/src/apache2/2.4.10-1/debian/config-dir/apache2.conf
2
+
3
+Mutex file:/var/lock/apache2 default
4
+PidFile /var/run/apache2/apache2.pid
5
+Timeout 300
6
+KeepAlive On
7
+MaxKeepAliveRequests 100
8
+KeepAliveTimeout 5
9
+User www-data
10
+Group www-data
11
+HostnameLookups Off
12
+ErrorLog /var/log/apache2/error.log
13
+LogLevel warn
14
+
15
+IncludeOptional mods-enabled/*.load
16
+IncludeOptional mods-enabled/*.conf
17
+
18
+# ports.conf
19
+Listen 80
20
+<IfModule ssl_module>
21
+    Listen 443
22
+</IfModule>
23
+<IfModule mod_gnutls.c>
24
+    Listen 443
25
+</IfModule>
26
+
27
+DocumentRoot "/usr/share/zabbix/"
28
+
29
+<Directory />
30
+    Options FollowSymLinks
31
+    AllowOverride None
32
+    Require all denied
33
+</Directory>
34
+
35
+<Directory /usr/share/zabbix/>
36
+    Options FollowSymLinks
37
+    AllowOverride All
38
+    Require all granted
39
+</Directory>
40
+
41
+
42
+
43
+LogFormat "%v:%p %h %l %u %t \"%r\" %>s %O \"%{Referer}i\" \"%{User-Agent}i\"" vhost_combined
44
+LogFormat "%h %l %u %t \"%r\" %>s %O \"%{Referer}i\" \"%{User-Agent}i\"" combined
45
+LogFormat "%h %l %u %t \"%r\" %>s %O" common
46
+LogFormat "%{Referer}i -> %U" referer
47
+LogFormat "%{User-agent}i" agent
48
+
49
+CustomLog /var/log/apache2/access.log combined
50
+
51
+<FilesMatch \.php$>
52
+    SetHandler application/x-httpd-php
53
+</FilesMatch>
54
+
55
+# Multiple DirectoryIndex directives within the same context will add
56
+# to the list of resources to look for rather than replace
57
+# https://httpd.apache.org/docs/current/mod/mod_dir.html#directoryindex
58
+DirectoryIndex disabled
59
+DirectoryIndex index.php index.html

+ 1988
- 0
frontend/php.ini
File diff suppressed because it is too large
View File


+ 30
- 0
frontend/run.sh View File

1
+#! /usr/bin/env bash
2
+
3
+replace_var()
4
+{
5
+  file="${1}"
6
+  var="${2}"
7
+  sed -e "s?${var}?${!var}?g" -i "${file}"
8
+}
9
+
10
+replace_vars()
11
+{
12
+  file="${1}"
13
+  for var in $(cat /etc/vars-vars)
14
+  do
15
+    replace_var "${file}" "${var}"
16
+  done
17
+}
18
+
19
+replace_files()
20
+{
21
+  for file in $(cat /etc/vars-files)
22
+  do
23
+    replace_vars "${file}"
24
+  done
25
+}
26
+
27
+replace_files
28
+
29
+rm -f /run/apache2/apache2.pid
30
+exec /usr/sbin/apache2ctl -D FOREGROUND

+ 1
- 0
frontend/vars-files View File

1
+/etc/zabbix/web/zabbix.conf.php

+ 7
- 0
frontend/vars-vars View File

1
+POSTGRES_HOST
2
+POSTGRES_USER
3
+POSTGRES_PASSWORD
4
+POSTGRES_DB
5
+
6
+ZABBIX_HOST
7
+ZABBIX_PORT

+ 19
- 0
frontend/zabbix.conf.php View File

1
+<?php
2
+// Zabbix GUI configuration file.
3
+global $DB;
4
+
5
+$DB['TYPE']     = 'POSTGRESQL';
6
+$DB['SERVER']   = 'POSTGRES_HOST';
7
+$DB['PORT']     = '0';
8
+$DB['DATABASE'] = 'POSTGRES_DB';
9
+$DB['USER']     = 'POSTGRES_USER';
10
+$DB['PASSWORD'] = 'POSTGRES_PASSWORD';
11
+
12
+// Schema name. Used for IBM DB2 and PostgreSQL.
13
+$DB['SCHEMA'] = '';
14
+
15
+$ZBX_SERVER      = 'ZABBIX_HOST';
16
+$ZBX_SERVER_PORT = 'ZABBIX_PORT';
17
+$ZBX_SERVER_NAME = '';
18
+
19
+$IMAGE_FORMAT_DEFAULT = IMAGE_FORMAT_PNG;

+ 5
- 0
postgresql/Dockerfile View File

1
+FROM robinthoni/postgres-backup:9.6
2
+
3
+RUN rm -rf /var/log/*
4
+
5
+COPY ./docker-entrypoint-initdb.d/ /docker-entrypoint-initdb.d

+ 5122
- 0
postgresql/docker-entrypoint-initdb.d/01_init.sql
File diff suppressed because it is too large
View File


+ 7
- 0
update_vars.sh View File

1
+#! /usr/bin/env sh
2
+
3
+vars=$(cat env | cut -d= -f1)
4
+for docker in zabbix frontend
5
+do
6
+  echo "${vars}" > "./${docker}/vars-vars"
7
+done

+ 37
- 0
zabbix/Dockerfile View File

1
+FROM debian:jessie
2
+
3
+MAINTAINER Robin Thoni <robin@rthoni.com>
4
+
5
+RUN apt-get update && apt-get -y install\
6
+        wget &&\
7
+        apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*
8
+
9
+RUN wget http://repo.zabbix.com/zabbix/3.0/debian/pool/main/z/zabbix-release/zabbix-release_3.0-1+jessie_all.deb -O /tmp/zabbix.deb &&\
10
+    dpkg -i /tmp/zabbix.deb
11
+
12
+RUN apt-get update && apt-get -y install\
13
+        zabbix-server-pgsql &&\
14
+        apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*
15
+
16
+RUN chown -R zabbix:zabbix /etc/zabbix &&\
17
+    mkdir -p /var/run/zabbix &&\
18
+    chown zabbix:zabbix /var/run/zabbix/
19
+
20
+RUN rm -rf /var/log/* &&\
21
+    mkdir -p /var/log/zabbix/ &&\
22
+    chown zabbix:zabbix /var/log/zabbix/ &&\
23
+    ln -s /dev/stdout /var/log/zabbix/zabbix_server.log
24
+
25
+COPY ./zabbix_server.conf /etc/zabbix/zabbix_server.conf
26
+
27
+COPY ./vars-vars /etc/vars-vars
28
+
29
+COPY ./vars-files /etc/vars-files
30
+
31
+COPY ./run.sh /run.sh
32
+
33
+EXPOSE 80
34
+
35
+USER zabbix
36
+
37
+CMD ["/run.sh"]

+ 29
- 0
zabbix/run.sh View File

1
+#! /usr/bin/env bash
2
+
3
+replace_var()
4
+{
5
+  file="${1}"
6
+  var="${2}"
7
+  sed -e "s?${var}?${!var}?g" -i "${file}"
8
+}
9
+
10
+replace_vars()
11
+{
12
+  file="${1}"
13
+  for var in $(cat /etc/vars-vars)
14
+  do
15
+    replace_var "${file}" "${var}"
16
+  done
17
+}
18
+
19
+replace_files()
20
+{
21
+  for file in $(cat /etc/vars-files)
22
+  do
23
+    replace_vars "${file}"
24
+  done
25
+}
26
+
27
+replace_files
28
+
29
+zabbix_server -f -c /etc/zabbix/zabbix_server.conf

+ 1
- 0
zabbix/vars-files View File

1
+/etc/zabbix/zabbix_server.conf

+ 7
- 0
zabbix/vars-vars View File

1
+POSTGRES_HOST
2
+POSTGRES_USER
3
+POSTGRES_PASSWORD
4
+POSTGRES_DB
5
+
6
+ZABBIX_HOST
7
+ZABBIX_PORT

+ 641
- 0
zabbix/zabbix_server.conf View File

1
+# This is a configuration file for Zabbix server daemon
2
+# To get more information about Zabbix, visit http://www.zabbix.com
3
+
4
+############ GENERAL PARAMETERS #################
5
+
6
+### Option: ListenPort
7
+#	Listen port for trapper.
8
+#
9
+# Mandatory: no
10
+# Range: 1024-32767
11
+# Default:
12
+# ListenPort=10051
13
+
14
+### Option: SourceIP
15
+#	Source IP address for outgoing connections.
16
+#
17
+# Mandatory: no
18
+# Default:
19
+# SourceIP=
20
+
21
+### Option: LogType
22
+#	Specifies where log messages are written to:
23
+#		system  - syslog
24
+#		file    - file specified with LogFile parameter
25
+#		console - standard output
26
+#
27
+# Mandatory: no
28
+# Default:
29
+# LogType=file
30
+
31
+### Option: LogFile
32
+#	Log file name for LogType 'file' parameter.
33
+#
34
+# Mandatory: no
35
+# Default:
36
+# LogFile=
37
+
38
+LogFile=/var/log/zabbix/zabbix_server.log
39
+
40
+### Option: LogFileSize
41
+#	Maximum size of log file in MB.
42
+#	0 - disable automatic log rotation.
43
+#
44
+# Mandatory: no
45
+# Range: 0-1024
46
+# Default:
47
+# LogFileSize=1
48
+
49
+LogFileSize=0
50
+
51
+### Option: DebugLevel
52
+#	Specifies debug level:
53
+#	0 - basic information about starting and stopping of Zabbix processes
54
+#	1 - critical information
55
+#	2 - error information
56
+#	3 - warnings
57
+#	4 - for debugging (produces lots of information)
58
+#	5 - extended debugging (produces even more information)
59
+#
60
+# Mandatory: no
61
+# Range: 0-5
62
+# Default:
63
+# DebugLevel=3
64
+
65
+### Option: PidFile
66
+#	Name of PID file.
67
+#
68
+# Mandatory: no
69
+# Default:
70
+# PidFile=/tmp/zabbix_server.pid
71
+
72
+PidFile=/var/run/zabbix/zabbix_server.pid
73
+
74
+### Option: DBHost
75
+#	Database host name.
76
+#	If set to localhost, socket is used for MySQL.
77
+#	If set to empty string, socket is used for PostgreSQL.
78
+#
79
+# Mandatory: no
80
+# Default:
81
+DBHost=POSTGRES_HOST
82
+
83
+### Option: DBName
84
+#	Database name.
85
+#	For SQLite3 path to database file must be provided. DBUser and DBPassword are ignored.
86
+#
87
+# Mandatory: yes
88
+# Default:
89
+# DBName=
90
+
91
+DBName=POSTGRES_DB
92
+
93
+### Option: DBSchema
94
+#	Schema name. Used for IBM DB2 and PostgreSQL.
95
+#
96
+# Mandatory: no
97
+# Default:
98
+# DBSchema=
99
+
100
+### Option: DBUser
101
+#	Database user. Ignored for SQLite.
102
+#
103
+# Mandatory: no
104
+# Default:
105
+# DBUser=
106
+
107
+DBUser=POSTGRES_USER
108
+
109
+### Option: DBPassword
110
+#	Database password. Ignored for SQLite.
111
+#	Comment this line if no password is used.
112
+#
113
+# Mandatory: no
114
+# Default:
115
+DBPassword=POSTGRES_PASSWORD
116
+
117
+### Option: DBSocket
118
+#	Path to MySQL socket.
119
+#
120
+# Mandatory: no
121
+# Default:
122
+# DBSocket=/tmp/mysql.sock
123
+
124
+### Option: DBPort
125
+#	Database port when not using local socket. Ignored for SQLite.
126
+#
127
+# Mandatory: no
128
+# Range: 1024-65535
129
+# Default (for MySQL):
130
+# DBPort=3306
131
+
132
+############ ADVANCED PARAMETERS ################
133
+
134
+### Option: StartPollers
135
+#	Number of pre-forked instances of pollers.
136
+#
137
+# Mandatory: no
138
+# Range: 0-1000
139
+# Default:
140
+# StartPollers=1
141
+
142
+### Option: StartIPMIPollers
143
+#	Number of pre-forked instances of IPMI pollers.
144
+#
145
+# Mandatory: no
146
+# Range: 0-1000
147
+# Default:
148
+# StartIPMIPollers=0
149
+
150
+### Option: StartPollersUnreachable
151
+#	Number of pre-forked instances of pollers for unreachable hosts (including IPMI and Java).
152
+#	At least one poller for unreachable hosts must be running if regular, IPMI or Java pollers
153
+#	are started.
154
+#
155
+# Mandatory: no
156
+# Range: 0-1000
157
+# Default:
158
+# StartPollersUnreachable=1
159
+
160
+### Option: StartTrappers
161
+#	Number of pre-forked instances of trappers.
162
+#	Trappers accept incoming connections from Zabbix sender, active agents and active proxies.
163
+#	At least one trapper process must be running to display server availability and view queue
164
+#	in the frontend.
165
+#
166
+# Mandatory: no
167
+# Range: 0-1000
168
+# Default:
169
+# StartTrappers=5
170
+
171
+### Option: StartPingers
172
+#	Number of pre-forked instances of ICMP pingers.
173
+#
174
+# Mandatory: no
175
+# Range: 0-1000
176
+# Default:
177
+# StartPingers=1
178
+
179
+### Option: StartDiscoverers
180
+#	Number of pre-forked instances of discoverers.
181
+#
182
+# Mandatory: no
183
+# Range: 0-250
184
+# Default:
185
+# StartDiscoverers=1
186
+
187
+### Option: StartHTTPPollers
188
+#	Number of pre-forked instances of HTTP pollers.
189
+#
190
+# Mandatory: no
191
+# Range: 0-1000
192
+# Default:
193
+# StartHTTPPollers=1
194
+
195
+### Option: StartTimers
196
+#	Number of pre-forked instances of timers.
197
+#	Timers process time-based trigger functions and maintenance periods.
198
+#	Only the first timer process handles the maintenance periods.
199
+#
200
+# Mandatory: no
201
+# Range: 1-1000
202
+# Default:
203
+# StartTimers=1
204
+
205
+### Option: StartEscalators
206
+#	Number of pre-forked instances of escalators.
207
+#
208
+# Mandatory: no
209
+# Range: 0-100
210
+# Default:
211
+# StartEscalators=1
212
+
213
+### Option: JavaGateway
214
+#	IP address (or hostname) of Zabbix Java gateway.
215
+#	Only required if Java pollers are started.
216
+#
217
+# Mandatory: no
218
+# Default:
219
+# JavaGateway=
220
+
221
+### Option: JavaGatewayPort
222
+#	Port that Zabbix Java gateway listens on.
223
+#
224
+# Mandatory: no
225
+# Range: 1024-32767
226
+# Default:
227
+# JavaGatewayPort=10052
228
+
229
+### Option: StartJavaPollers
230
+#	Number of pre-forked instances of Java pollers.
231
+#
232
+# Mandatory: no
233
+# Range: 0-1000
234
+# Default:
235
+# StartJavaPollers=0
236
+
237
+### Option: StartVMwareCollectors
238
+#	Number of pre-forked vmware collector instances.
239
+#
240
+# Mandatory: no
241
+# Range: 0-250
242
+# Default:
243
+# StartVMwareCollectors=0
244
+
245
+### Option: VMwareFrequency
246
+#	How often Zabbix will connect to VMware service to obtain a new data.
247
+#
248
+# Mandatory: no
249
+# Range: 10-86400
250
+# Default:
251
+# VMwareFrequency=60
252
+
253
+### Option: VMwarePerfFrequency
254
+#	How often Zabbix will connect to VMware service to obtain performance data.
255
+#
256
+# Mandatory: no
257
+# Range: 10-86400
258
+# Default:
259
+# VMwarePerfFrequency=60
260
+
261
+### Option: VMwareCacheSize
262
+#	Size of VMware cache, in bytes.
263
+#	Shared memory size for storing VMware data.
264
+#	Only used if VMware collectors are started.
265
+#
266
+# Mandatory: no
267
+# Range: 256K-2G
268
+# Default:
269
+# VMwareCacheSize=8M
270
+
271
+### Option: VMwareTimeout
272
+#	Specifies how many seconds vmware collector waits for response from VMware service.
273
+#
274
+# Mandatory: no
275
+# Range: 1-300
276
+# Default:
277
+# VMwareTimeout=10
278
+
279
+### Option: SNMPTrapperFile
280
+#	Temporary file used for passing data from SNMP trap daemon to the server.
281
+#	Must be the same as in zabbix_trap_receiver.pl or SNMPTT configuration file.
282
+#
283
+# Mandatory: no
284
+# Default:
285
+# SNMPTrapperFile=/tmp/zabbix_traps.tmp
286
+
287
+### Option: StartSNMPTrapper
288
+#	If 1, SNMP trapper process is started.
289
+#
290
+# Mandatory: no
291
+# Range: 0-1
292
+# Default:
293
+# StartSNMPTrapper=0
294
+
295
+### Option: ListenIP
296
+#	List of comma delimited IP addresses that the trapper should listen on.
297
+#	Trapper will listen on all network interfaces if this parameter is missing.
298
+#
299
+# Mandatory: no
300
+# Default:
301
+ListenIP=0.0.0.0
302
+
303
+### Option: HousekeepingFrequency
304
+#	How often Zabbix will perform housekeeping procedure (in hours).
305
+#	Housekeeping is removing outdated information from the database.
306
+#	To prevent Housekeeper from being overloaded, no more than 4 times HousekeepingFrequency
307
+#	hours of outdated information are deleted in one housekeeping cycle, for each item.
308
+#	To lower load on server startup housekeeping is postponed for 30 minutes after server start.
309
+#	With HousekeepingFrequency=0 the housekeeper can be only executed using the runtime control option.
310
+#	In this case the period of outdated information deleted in one housekeeping cycle is 4 times the
311
+#	period since the last housekeeping cycle, but not less than 4 hours and not greater than 4 days.
312
+#
313
+# Mandatory: no
314
+# Range: 0-24
315
+# Default:
316
+# HousekeepingFrequency=1
317
+
318
+### Option: MaxHousekeeperDelete
319
+#	The table "housekeeper" contains "tasks" for housekeeping procedure in the format:
320
+#	[housekeeperid], [tablename], [field], [value].
321
+#	No more than 'MaxHousekeeperDelete' rows (corresponding to [tablename], [field], [value])
322
+#	will be deleted per one task in one housekeeping cycle.
323
+#	SQLite3 does not use this parameter, deletes all corresponding rows without a limit.
324
+#	If set to 0 then no limit is used at all. In this case you must know what you are doing!
325
+#
326
+# Mandatory: no
327
+# Range: 0-1000000
328
+# Default:
329
+# MaxHousekeeperDelete=5000
330
+
331
+### Option: SenderFrequency
332
+#	How often Zabbix will try to send unsent alerts (in seconds).
333
+#
334
+# Mandatory: no
335
+# Range: 5-3600
336
+# Default:
337
+# SenderFrequency=30
338
+
339
+### Option: CacheSize
340
+#	Size of configuration cache, in bytes.
341
+#	Shared memory size for storing host, item and trigger data.
342
+#
343
+# Mandatory: no
344
+# Range: 128K-8G
345
+# Default:
346
+# CacheSize=8M
347
+
348
+### Option: CacheUpdateFrequency
349
+#	How often Zabbix will perform update of configuration cache, in seconds.
350
+#
351
+# Mandatory: no
352
+# Range: 1-3600
353
+# Default:
354
+# CacheUpdateFrequency=60
355
+
356
+### Option: StartDBSyncers
357
+#	Number of pre-forked instances of DB Syncers.
358
+#
359
+# Mandatory: no
360
+# Range: 1-100
361
+# Default:
362
+# StartDBSyncers=4
363
+
364
+### Option: HistoryCacheSize
365
+#	Size of history cache, in bytes.
366
+#	Shared memory size for storing history data.
367
+#
368
+# Mandatory: no
369
+# Range: 128K-2G
370
+# Default:
371
+# HistoryCacheSize=16M
372
+
373
+### Option: HistoryIndexCacheSize
374
+#	Size of history index cache, in bytes.
375
+#	Shared memory size for indexing history cache.
376
+#
377
+# Mandatory: no
378
+# Range: 128K-2G
379
+# Default:
380
+# HistoryIndexCacheSize=4M
381
+
382
+### Option: TrendCacheSize
383
+#	Size of trend cache, in bytes.
384
+#	Shared memory size for storing trends data.
385
+#
386
+# Mandatory: no
387
+# Range: 128K-2G
388
+# Default:
389
+# TrendCacheSize=4M
390
+
391
+### Option: ValueCacheSize
392
+#	Size of history value cache, in bytes.
393
+#	Shared memory size for caching item history data requests.
394
+#	Setting to 0 disables value cache.
395
+#
396
+# Mandatory: no
397
+# Range: 0,128K-64G
398
+# Default:
399
+# ValueCacheSize=8M
400
+
401
+### Option: Timeout
402
+#	Specifies how long we wait for agent, SNMP device or external check (in seconds).
403
+#
404
+# Mandatory: no
405
+# Range: 1-30
406
+# Default:
407
+# Timeout=3
408
+
409
+Timeout=10
410
+
411
+### Option: TrapperTimeout
412
+#	Specifies how many seconds trapper may spend processing new data.
413
+#
414
+# Mandatory: no
415
+# Range: 1-300
416
+# Default:
417
+# TrapperTimeout=300
418
+
419
+### Option: UnreachablePeriod
420
+#	After how many seconds of unreachability treat a host as unavailable.
421
+#
422
+# Mandatory: no
423
+# Range: 1-3600
424
+# Default:
425
+# UnreachablePeriod=45
426
+
427
+### Option: UnavailableDelay
428
+#	How often host is checked for availability during the unavailability period, in seconds.
429
+#
430
+# Mandatory: no
431
+# Range: 1-3600
432
+# Default:
433
+# UnavailableDelay=60
434
+
435
+### Option: UnreachableDelay
436
+#	How often host is checked for availability during the unreachability period, in seconds.
437
+#
438
+# Mandatory: no
439
+# Range: 1-3600
440
+# Default:
441
+# UnreachableDelay=15
442
+
443
+### Option: AlertScriptsPath
444
+#	Full path to location of custom alert scripts.
445
+#	Default depends on compilation options.
446
+#
447
+# Mandatory: no
448
+# Default:
449
+# AlertScriptsPath=${datadir}/zabbix/alertscripts
450
+
451
+AlertScriptsPath=/usr/lib/zabbix/alertscripts
452
+
453
+### Option: ExternalScripts
454
+#	Full path to location of external scripts.
455
+#	Default depends on compilation options.
456
+#
457
+# Mandatory: no
458
+# Default:
459
+# ExternalScripts=${datadir}/zabbix/externalscripts
460
+
461
+ExternalScripts=/usr/lib/zabbix/externalscripts
462
+
463
+### Option: FpingLocation
464
+#	Location of fping.
465
+#	Make sure that fping binary has root ownership and SUID flag set.
466
+#
467
+# Mandatory: no
468
+# Default:
469
+# FpingLocation=/usr/sbin/fping
470
+
471
+FpingLocation=/usr/bin/fping
472
+
473
+### Option: Fping6Location
474
+#	Location of fping6.
475
+#	Make sure that fping6 binary has root ownership and SUID flag set.
476
+#	Make empty if your fping utility is capable to process IPv6 addresses.
477
+#
478
+# Mandatory: no
479
+# Default:
480
+# Fping6Location=/usr/sbin/fping6
481
+
482
+Fping6Location=/usr/bin/fping6
483
+
484
+### Option: SSHKeyLocation
485
+#	Location of public and private keys for SSH checks and actions.
486
+#
487
+# Mandatory: no
488
+# Default:
489
+# SSHKeyLocation=
490
+
491
+### Option: LogSlowQueries
492
+#	How long a database query may take before being logged (in milliseconds).
493
+#	Only works if DebugLevel set to 3, 4 or 5.
494
+#	0 - don't log slow queries.
495
+#
496
+# Mandatory: no
497
+# Range: 1-3600000
498
+# Default:
499
+# LogSlowQueries=0
500
+
501
+LogSlowQueries=3000
502
+
503
+### Option: TmpDir
504
+#	Temporary directory.
505
+#
506
+# Mandatory: no
507
+# Default:
508
+# TmpDir=/tmp
509
+
510
+### Option: StartProxyPollers
511
+#	Number of pre-forked instances of pollers for passive proxies.
512
+#
513
+# Mandatory: no
514
+# Range: 0-250
515
+# Default:
516
+StartProxyPollers=20
517
+
518
+### Option: ProxyConfigFrequency
519
+#	How often Zabbix Server sends configuration data to a Zabbix Proxy in seconds.
520
+#	This parameter is used only for proxies in the passive mode.
521
+#
522
+# Mandatory: no
523
+# Range: 1-3600*24*7
524
+# Default:
525
+# ProxyConfigFrequency=3600
526
+
527
+### Option: ProxyDataFrequency
528
+#	How often Zabbix Server requests history data from a Zabbix Proxy in seconds.
529
+#	This parameter is used only for proxies in the passive mode.
530
+#
531
+# Mandatory: no
532
+# Range: 1-3600
533
+# Default:
534
+# ProxyDataFrequency=1
535
+
536
+### Option: AllowRoot
537
+#	Allow the server to run as 'root'. If disabled and the server is started by 'root', the server
538
+#	will try to switch to the user specified by the User configuration option instead.
539
+#	Has no effect if started under a regular user.
540
+#	0 - do not allow
541
+#	1 - allow
542
+#
543
+# Mandatory: no
544
+# Default:
545
+# AllowRoot=0
546
+
547
+### Option: User
548
+#	Drop privileges to a specific, existing user on the system.
549
+#	Only has effect if run as 'root' and AllowRoot is disabled.
550
+#
551
+# Mandatory: no
552
+# Default:
553
+# User=zabbix
554
+
555
+### Option: Include
556
+#	You may include individual files or all files in a directory in the configuration file.
557
+#	Installing Zabbix will create include directory in /usr/local/etc, unless modified during the compile time.
558
+#
559
+# Mandatory: no
560
+# Default:
561
+# Include=
562
+
563
+# Include=/usr/local/etc/zabbix_server.general.conf
564
+# Include=/usr/local/etc/zabbix_server.conf.d/
565
+# Include=/usr/local/etc/zabbix_server.conf.d/*.conf
566
+
567
+### Option: SSLCertLocation
568
+#	Location of SSL client certificates.
569
+#	This parameter is used only in web monitoring.
570
+#
571
+# Mandatory: no
572
+# Default:
573
+# SSLCertLocation=${datadir}/zabbix/ssl/certs
574
+
575
+### Option: SSLKeyLocation
576
+#	Location of private keys for SSL client certificates.
577
+#	This parameter is used only in web monitoring.
578
+#
579
+# Mandatory: no
580
+# Default:
581
+# SSLKeyLocation=${datadir}/zabbix/ssl/keys
582
+
583
+### Option: SSLCALocation
584
+#	Override the location of certificate authority (CA) files for SSL server certificate verification.
585
+#	If not set, system-wide directory will be used.
586
+#	This parameter is used only in web monitoring and SMTP authentication.
587
+#
588
+# Mandatory: no
589
+# Default:
590
+# SSLCALocation=
591
+
592
+####### LOADABLE MODULES #######
593
+
594
+### Option: LoadModulePath
595
+#	Full path to location of server modules.
596
+#	Default depends on compilation options.
597
+#
598
+# Mandatory: no
599
+# Default:
600
+# LoadModulePath=${libdir}/modules
601
+
602
+### Option: LoadModule
603
+#	Module to load at server startup. Modules are used to extend functionality of the server.
604
+#	Format: LoadModule=<module.so>
605
+#	The modules must be located in directory specified by LoadModulePath.
606
+#	It is allowed to include multiple LoadModule parameters.
607
+#
608
+# Mandatory: no
609
+# Default:
610
+# LoadModule=
611
+
612
+####### TLS-RELATED PARAMETERS #######
613
+
614
+### Option: TLSCAFile
615
+#	Full pathname of a file containing the top-level CA(s) certificates for
616
+#	peer certificate verification.
617
+#
618
+# Mandatory: no
619
+# Default:
620
+# TLSCAFile=
621
+
622
+### Option: TLSCRLFile
623
+#	Full pathname of a file containing revoked certificates.
624
+#
625
+# Mandatory: no
626
+# Default:
627
+# TLSCRLFile=
628
+
629
+### Option: TLSCertFile
630
+#	Full pathname of a file containing the server certificate or certificate chain.
631
+#
632
+# Mandatory: no
633
+# Default:
634
+# TLSCertFile=
635
+
636
+### Option: TLSKeyFile
637
+#	Full pathname of a file containing the server private key.
638
+#
639
+# Mandatory: no
640
+# Default:
641
+# TLSKeyFile=

Loading…
Cancel
Save